﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define e = Character('Eileen', color="#c8ffc8")

image bg logo = "logo.png"
image bg main_menu = "titlescreen.png"


# This is the splash screen. Should show my logo, and then the 
# instructions for playing on the Ouya.
label splashscreen:
    $ renpy.pause(0)
    show bg logo
    with dissolve
    with Pause (1.5)
    
    show bg main_menu
    with fade
    with Pause(1.5)
    
    return


# The game starts here.
label start:
    
    # This code activates the "pause menu" in screens.rpy
    $ _game_menu_screen = "game_menu"

   
    $ month = 0
    
label text_test:
    
    "Here is some text. I want to test the text speed. See how the letters form one after another?"

    "The speed is set to 20 letters per second. If speed is set to 0 then the text will appear right away, with no lag."
    
    "You can change the default text speed by opening options.rpy and searching for 'text speed'."
    
    "Press the 'CTRL' button and the 'f' button at the same time to bring up a search box at the bottom of the screen.
     Then just type in 'text speed'-- but remember to add the space in the middle and to check spelling when using Search."
    
    "In options.rpy, after searching for 'text speed', you will see a line like this 'config.default_text_cps = 20'"
    
    "Just change the number twenty to any number you want. Experiement with different speeds to see what works."
    
    "If the speed isn't working, make sure you saved the options.rpy file and then go into the Ren'Py Launcher and click
     Delete Persistent Data." 
    
    "Sometimes Ren'Py holds onto the last text speed used, but doing this should clear that up."
   
    jump month
   
label check_events:
   
    "This function will check to see if any events have been triggered."
   
    return
   
label check_end:
   
    "This function will check to see what ending has been triggered."
   
    return
   
label month:
   
    $ month += 1
   
    #Setting default values for the schedule
   
    $ week01 = None
    $ week02 = None
    $ week03 = None
    $ week04 = None

label schedule_repeat:

    call screen schedule

    if week01 is None or week02 is None or week03 is None or week04 is None:

        "Please pick an activity for every week this month."

        jump schedule_repeat
   
label week01:
   
    centered "First Week Plan: [week01]"
   
    call check_events
   
label week02:
   
    centered "Second Week Plan: [week02]"
   
    call check_events
   
label week03:
   
    centered "Third Week Plan: [week03]"
   
    call check_events
   
label week04:
   
    centered "Fourth Week Plan: [week04]"
   
    call check_events
   
label end_month:
   
    "The month is already over. Time sure does fly."
   
    if month < 3:
        jump month
       
label game_over:
   
    call check_end
   
    "Game Over."
   
    return
